SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004518SOGoWeb Mailpublic2018-07-22 08:242018-09-12 21:44
Reportermmccarn 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSRHEL/CentOSOS Version6
Product Version4.0.1 
Target VersionFixed in Version4.0.2 
Summary0004518: Email content not displayed in Firefox
DescriptionSince upgrading sogo from 4.0.0 to 4.0.1, email message content is not displayed in Firefox 61.0.1 (64-bit) on OS X 10.13.6 (High Sierra).

The same messages are displayed OK in Chrome 67.0.3396.99 and Safari 11.1.2
Steps To ReproduceLogin to webmail and select a message
Additional InformationThe firefox inspector reports "Permission denied to access property $mailboxController on cross-origin object"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0012967)
mmccarn (reporter)
2018-07-22 08:46
edited on: 2018-07-22 09:04

I get the same behavior in Firefox 61.0.1 (64-bit) on Windows 10 Version 10.0.17134.167.

I do not see this problem using these browsers on the same Windows 10 Version 10.0.17134.167 workstation:
* Microsoft Edge 42.17134.1.0
* Chrome 67.0.3396.99

When the email is NOT displayed, the email window contains the following text in various sizes and colors:

expand_more
lock_outline lock_outline

collections
This message contains external images. close

message

The sender of this message has asked to be notified when you read this message. Do you wish to notify the sender?


[edit]
I seem to see this behavior only on systems that are frequently used to access webmail. On another computer that is used only infrequently, message display is working as expected (Windows 10.0.17134.16 / Firefox 61.0.1 (64-bit))

(0012969)
Colmar0 (reporter)
2018-07-23 02:15

We had the same problem, please delete your Browser cache and try it again.
(0012970)
mmccarn (reporter)
2018-07-23 08:23
edited on: 2018-07-23 08:23

Clearing my browser cache did not solve the problem.

Here's what I did to clear my cache:
* Preferences -> Privacy & Security -> History -> Clear History -> Everything -> Check all items -> Clear Now
* Preferences -> Privacy & Security -> Cookies and Site Data -> Clear Data -> Clear

I've also tried:
* Help -> Restart with Addons disabled
* about:config -> general.useragent.override -> "Mozilla/5.0 (Windows NT 6.1) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2228.0 Safari/537.36"

(0012971)
Colmar0 (reporter)
2018-07-23 08:53
edited on: 2018-07-23 09:01

Add the sogo page as trusted page (HTTPS) in the Internet Explorer settings.
You can find it under "Control Panel", "Internet options", "Security", "Trusted sides" and then you have to click on "Sites".
Restart Mozilla and it should work.

(0012986)
mmccarn (reporter)
2018-07-31 07:21

I added the sogo host as a trusted site in Internet Explorer on my failing Windows system (I could not figure out how to do the same thing on my macbook).

The problem did not go away.
(0012987)
mmccarn (reporter)
2018-07-31 08:35

The problem seems to be specific to my hosting configuration. As such I am happy for this issue to be closed.


DETAILS -

My two failing browsers both use an etherpad page as a bookmarking tool.

If I click on the SOGo link on my etherpad page, message bodies are not displayed.

If I open a new tab and load the same URL that did not work from etherpad, message bodies are displayed as expected.

Here are some apache log entries from failing and working sessions in case the developers feel differently -

Failing Session:
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /sogo HTTP/1.1" 302 217 "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /SOGo HTTP/1.1" 302 - "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /SOGo/mmccarn HTTP/1.1" 302 - "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /SOGo/mmccarn/view HTTP/1.1" 302 - "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /SOGo/so/mmccarn/Mail HTTP/1.1" 302 - "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:07:58:51 -0400] "GET /SOGo/so/mmccarn/Mail/view HTTP/1.1" 200 19362 "https://etherpad.obfuscated.us/p/office9" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"

Working Session:
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /sogo HTTP/1.1" 302 217 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /SOGo HTTP/1.1" 302 - "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /SOGo/mmccarn HTTP/1.1" 302 - "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /SOGo/mmccarn/view HTTP/1.1" 302 - "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /SOGo/so/mmccarn/Mail HTTP/1.1" 302 - "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:03:42 -0400] "GET /SOGo/so/mmccarn/Mail/view HTTP/1.1" 200 19362 "-" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"

Working session (url added to https://httpd.apache.org/docs/1.3/logs.html [^] using developer tools):
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:13 -0400] "GET /sogo HTTP/1.1" 302 217 "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:13 -0400] "GET /SOGo HTTP/1.1" 302 - "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:13 -0400] "GET /SOGo/mmccarn HTTP/1.1" 302 - "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:14 -0400] "GET /SOGo/mmccarn/view HTTP/1.1" 302 - "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:14 -0400] "GET /SOGo/so/mmccarn/Mail HTTP/1.1" 302 - "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"
obfuscated.us 192.168.200.110 - - [31/Jul/2018:08:21:14 -0400] "GET /SOGo/so/mmccarn/Mail/view HTTP/1.1" 200 19362 "https://httpd.apache.org/docs/1.3/logs.html" [^] "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:61.0) Gecko/20100101 Firefox/61.0"

- Related Changesets
sogo: master 7f135e53
Timestamp: 2018-07-31 09:11:45
Author: francis
Details ] Diff ]
(js) Improve popup window detection in mailer

Fixes 0004518
mod - NEWS Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MessageController.js Diff ] File ]
sogo: master ec4d93a8
Timestamp: 2018-09-12 16:21:00
Author: francis
Details ] Diff ]
Fix popup window detection in message viewer

Fixes 0004518
mod - NEWS Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MailboxController.js Diff ] File ]
mod - UI/WebServerResources/js/Mailer/Mailer.popup.js Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MessageController.js Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MessageEditorController.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-22 08:24 mmccarn New Issue
2018-07-22 08:46 mmccarn Note Added: 0012967
2018-07-22 09:04 mmccarn Note Edited: 0012967 View Revisions
2018-07-23 02:15 Colmar0 Note Added: 0012969
2018-07-23 08:23 mmccarn Note Added: 0012970
2018-07-23 08:23 mmccarn Note Edited: 0012970 View Revisions
2018-07-23 08:53 Colmar0 Note Added: 0012971
2018-07-23 08:55 Colmar0 Note Edited: 0012971 View Revisions
2018-07-23 09:01 Colmar0 Note Edited: 0012971 View Revisions
2018-07-31 07:21 mmccarn Note Added: 0012986
2018-07-31 08:35 mmccarn Note Added: 0012987
2018-07-31 09:12 francis Changeset attached => sogo master 7f135e53
2018-07-31 09:12 francis Assigned To => francis
2018-07-31 09:12 francis Resolution open => fixed
2018-07-31 09:12 francis Status new => resolved
2018-07-31 09:12 francis Fixed in Version => 4.0.2
2018-09-12 21:44 francis Changeset attached => sogo master ec4d93a8


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker